@charset "utf-8";

/* ハンバーガーメニュー */
.hamburger {
    margin: 0px auto;
    width: 100%;
    /* max-width: 900px; */
    display: flex;
    justify-content: flex-end;
    /* justify-content: space-between; */
}

.hamburger .btn-gNav {
    position: fixed;
    /* top: 20px; */
    right: 20px;
    width: 30px;
    height: 24px;
    z-index: 12;
    box-sizing: border-box;
    cursor: pointer;
    -webkit-transition: all 400ms;
    transition: all 400ms;
}

.hamburger .btn-gNav span {
    position: absolute;
    width: 100%;
    height: 4px;
    background: black;
    border-radius: 10px;
    -webkit-transition: all 400ms;
    transition: all 400ms;
}

.hamburger .btn-gNav span:nth-child(1) {
    top: 0;
}

.hamburger .btn-gNav span:nth-child(2) {
    top: 10px;
}

.hamburger .btn-gNav span:nth-child(3) {
    top: 20px;
}

.hamburger .btn-gNav.open span:nth-child(1) {
    background: #70BA9A;
    top: 6px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.hamburger .btn-gNav.open span:nth-child(2) {
    opacity: 0;
}

.hamburger .btn-gNav.open span:nth-child(3) {
    top: 6px;
    background: #70BA9A;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    transform: rotate(45deg);
}
 
.btn-gNav {
    display: none;
}


.hamburger .btn-tel {
    color: black;
    text-align: center;
    position: fixed;
    /* top: 20px; */
    right: 70px;
    /* width: 30px; */
    /* height: 24px; */
    z-index: 12;
    box-sizing: border-box;
    cursor: pointer;
    -webkit-transition: all 400ms;
    transition: all 400ms;
}
.hamburger .btn-tel a:link,
.hamburger .btn-tel a:visited,
.hamburger .btn-tel a:active,
.hamburger .btn-tel a:hover {
    color: black;
}


.hamburger .btn-tel.open {
    display: none;
}
.hamburger .btn-tel {
    display: none;
}

.gNav .gNav-menu {
    display: flex;
    /* justify-content: space-between; */
    justify-content: flex-end;
    /* font-weight: bold; */
    align-items: center;
    padding-right: 20px;
}

.gNav .gNav-menu ol,
.gNav ul {
    list-style: none;
    list-style-type: none;
}

.gNav-menu-tel-pc {
    font-size: 18pt;
    display: block;
}
.gNav-menu-tel-sm {
    display: none;
}

.gNav-menu-space {
    display: none;
}

.gNav .gNav-menu li {
    margin: 0 auto;
    padding: 0 10px;
}

.gNav-menu-contact {
    text-align: center;
    padding: 40px;
}
.gNav-menu-contact a {
    font-weight: bold;
    background-color: pink;
    border-radius: 30px;
    padding: 10px 20px;
    white-space: nowrap;
}
@media (hover: hover){
.gNav-menu-contact a:hover {
    background-color: palevioletred;
}
}
.gNav-menu-contact a:link,
.gNav-menu-contact a:visited,
.gNav-menu-contact a:active {
    color: white;
}

@media screen and (max-width: 869px) {

    .btn-gNav {
        display: block;
    }

    .hamburger .btn-tel {
        display: block;
    }

    .gNav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        /* width: 80%; */
        height: 100%;
        /* background-color: rgba(0, 0, 0, 0.8); */
        background-color: rgba(255, 255, 255, 1);
        font-size: 16px;
        box-sizing: border-box;
        z-index: 1;
        padding-top: 50px;
        transition: .3s;
    }

    .gNav.open {
        right: 0;
    }

    .gNav .gNav-menu {
        padding: 0;
        width: 100%;
        height: 100%;
        display: block;
        flex-direction: column;
        text-align: center;
        /*justify-content: center;*/
    }

    .gNav .gNav-menu li {
        width: 86%;
        padding: 15px;
        /* border-bottom: #525252 1px solid; */
    }

    .gNav-menu-tel-pc {
        display: none;
    }
    .gNav-menu-tel-sm {
        display: block;
        border: 1px solid #70BA9A;
        width: 200px !important;
    }

    .gNav-menu-space {
        display: block;
    }

}